Name:           meandmyshadow
Version:        0.4
Release:        %mkrel 3
Summary:        Puzzle/platform game where you try to reach the exit by solving puzzles
Group:          Games/Arcade
License:        GPLv3+
URL:            http://meandmyshadow.sourceforge.net/
Source0:	http://downloads.sourceforge.net/meandmyshadow/%{name}-%{version}-src.tar.gz
BuildRequires:	SDL_mixer-devel 
BuildRequires:	SDL_image-devel 
BuildRequires:	SDL_ttf-devel 
BuildRequires:	SDL_gfx-devel
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	curl-devel
BuildRequires:	cmake

%description
Me and My Shadow is a free libre puzzle/platform game in which 
you try to reach the exit by solving puzzles. Spikes, moving 
blocks, fragile blocks and much more stand between you and the exit. 
Record your moves and let your shadow mimic them to reach blocks you 
couldn't reach alone.

%prep
%setup -q
sed -i "/Version/d" %{name}.desktop

%build
%cmake -DBINDIR=%{_gamesbindir} -DDATAROOTDIR=%{_gamesdatadir} -DICONDIR=%{_iconsdir} -DDESKTOPDIR=%{_datadir}/applications/
%make

%install
%makeinstall_std -C build

%files
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesdatadir}/%{name}/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 359884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.4-2.mga3
+ Revision: 345456
- rebuild for new SDL_gfx

* Sat Aug 04 2012 dams <dams> 0.4-1.mga3
+ Revision: 278347
- new version 0.4
- remove uneeded patch
- update cmake options and clean specfile depending on this modifications

* Thu May 31 2012 dams <dams> 0.3-4.mga3
+ Revision: 252383
+ rebuild (emptylog)

* Thu May 31 2012 dams <dams> 0.3-3.mga3
+ Revision: 252101
+ rebuild (emptylog)

* Thu May 31 2012 petos <petos> 0.3-2.mga3
+ Revision: 252035
- Fixed install paths. Thanks dams.

* Sat Apr 21 2012 petos <petos> 0.3-1.mga2
+ Revision: 232291
- Desktop File patch
- imported package meandmyshadow

